Distribution:   CCux-Linux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		filezilla
Summary:	FileZilla is a cross-platform graphical FTP, FTPS and SFTP client a lot of features 
Version:	3.3.5.1
Release:	1
BuildArch:	i686
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/filezilla/
Group:		Networking/File Transfer
Source0:	FileZilla_%{version}_src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	wxGTK
Requires:	gnutls
Requires:	libidn
#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libidn-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: tinyxml-devel
BuildRequires: wxGTK-devel xdg-utils

%description
FileZilla is a FTP, FTPS and SFTP client for Linux with a lot of features.
- Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
- Cross-platform
- Available in many languages
- Supports resume and transfer of large files >4GB
- Easy to use Site Manager and transfer queue
- Drag & drop support
- Speed limits
- Filename filters
- Network configuration wizard 

%prep
%setup -n %{name}-%{version}

%build
%configure \
  --disable-static \
  --enable-locales \
  --disable-manualupdatecheck \
  --with-tinyxml=builtin \
  --disable-autoupdatecheck 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"

for i in 16x16 32x32 48x48 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}/apps
  ln -sf ../../../../%{name}/resources/${i}/%{name}.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}/apps/%{name}.png
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install --vendor "CCux" \
  --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%doc %{_datadir}/%{name}/docs/*
%{_bindir}/*
%{_datadir}/filezilla/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
%{_mandir}/man5/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 31 2010 Christian Metzen <metzench@ccux-linux.de> 3.3.5.1-1
- Version update
* Fri Jan 29 2010 Christian Metzen <metzench@ccux-linux.de> 3.3.1-1
- Version update
* Fri May 29 2009 Christian Metzen <metzench@ccux-linux.de> 3.2.4.1-1
- Version update
* Sun Mar 29 2009 Christian Metzen <metzench@ccux-linux.de> 3.2.3.1-1
- Version update
* Thu Mar 05 2009 Christian Metzen <metzench@ccux-linux.de> 3.2.2.1-1
- Version update
* Thu Jan 15 2009 Christian Metzen <metzench@ccux-linux.de> 3.2.0-1
- Version update
- tuned specfile a little bit, disable auto-update
- added automatic resolved requires
* Wed Dec 03 2008 Leif Middelschulte <leif.middelschulte@gmail.com> 3.1.6-1
- Initial Release
